%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

%global modname fedmsg_notify
%global busname org.fedoraproject.fedmsg.notify

Name:           fedmsg-notify
Version:        0.2.0
Release:        1%{?dist}
Summary:        Fedmsg Desktop Notifications

License:        GPLv3+
URL:            https://github.com/lmacken/fedmsg-notify
Source0:        https://github.com/downloads/lmacken/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  pygobject3
BuildRequires:  desktop-file-utils

Requires:       fedmsg >= 0.5.3
Requires:       pygobject3

%description
fedmsg-notify provides a dbus-activated daemon that subscribes to realtime
messages from Fedora Infrastructure and displays them as desktop
notifications. It also comes with a fedmsg-notify-config tool to enable/disable
the service.

%prep
%setup -q


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

mkdir -p %{buildroot}%{_datadir}/dbus-1/services/
install -m 0644 conf/%{busname}.service \
    %{buildroot}%{_datadir}/dbus-1/services/%{busname}.service
mkdir -p %{buildroot}%{_sysconfdir}/dbus-1/system.d
install -m 0644 conf/%{busname}.conf \
    %{buildroot}%{_sysconfdir}/dbus-1/system.d/%{busname}.conf

desktop-file-install \
    --dir=%{buildroot}%{_datadir}/applications \
    conf/%{name}-config.desktop


%files
%doc README.rst LICENSE
%{_bindir}/%{name}-daemon
%{_bindir}/%{name}-config
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}-py%{pyver}.egg-info/
%{_datadir}/dbus-1/services/%{busname}.service
%{_datadir}/applications/%{name}-config.desktop
%{_sysconfdir}/dbus-1/system.d/%{busname}.conf


%changelog
* Thu Oct 04 2012 Luke Macken <lmacken@redhat.com> - 0.2.0-1
- Initial package.
